=== debian/changelog ===
bpack (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Jun 2024 21:11:42 +0200

bpack (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #1036420).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 09 Jun 2024 07:43:56 +0000
