=== debian/changelog ===
bpack (1.2.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release (Closes: #1088221).
  * Update dates in d/copyright.
  * debina/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 26 Nov 2024 11:11:58 +0000
