=== debian/changelog ===
bpack (1.3.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * debian/control:
    - Mark python-bpack-doc as Multi-Arch: foreign.
    - Drop "Rules-Requires-Root: no", no longer needed.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Sep 2025 07:50:21 +0000

bpack (1.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 09 Jan 2025 06:26:26 +0000
