=== debian/control ===
--- 
+++ 
@@ -15,9 +15,8 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Homepage: https://github.com/avalentino/bpack
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/bpack
 Vcs-Git: https://salsa.debian.org/debian-gis-team/bpack.git
@@ -56,6 +55,7 @@
 Package: python-bpack-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Suggests: www-browser
